BRANDELF(1)

NAME
brandelf - mark an ELF binary for a specific ABI

SYNOPSIS
brandelf [-v] [-t string] file ...

DESCRIPTION
This command marks an ELF binary to be run under a certain ABI for FreeBSD.

The options are as follows:

-v  turns on verbose reporting

-t string
    Brands the given ELF binaries with string as the ABI type. Currently supported ABI's are “FreeBSD” and “Linux”.

file
    If -t string is given it will brand file with string, otherwise it will simply display the branding of file.

EXAMPLES
The following is an example of a typical usage of the brandelf command:

    % brandelf file
    % brandelf -t Linux file

DIAGNOSTICS
Exit status is 0 on success, and 1 if the command fails if a file doesn't exist, is too short, or fails to brand properly.

HISTORY
The brandelf manual page first appeared in FreeBSD 2.2.

AUTHOR
This manual page was written by John-Mark Gurney <gurney_j@efn.org>.